ProConnect Docs
API Reference

Submit customer events

POST
/companies/{id}/events

Submits up to 25 customer events to drive automated WhatsApp messaging.

Path Parameters

id*string

Opaque ProConnect company identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Batch request for submitted customer events. The top-level type field determines the shape of each entry in items.

Batch of payment request events.

Response Body

application/json

curl -X POST "https://example.com/companies/2z/events" \  -H "Content-Type: application/json" \  -d '{    "type": "paymentRequest",    "items": [      {        "reference": "123",        "amount": "12.34"      },      {        "reference": "321",        "amount": "43.21"      }    ]  }'
[  {    "reference": "123",    "results": [      {        "status": "sent",        "contact": {          "id": "3z",          "waId": "443213838383"        }      }    ]  },  {    "reference": "321",    "results": []  }]